Расчленить полилинии из набора

Автор Тема: Расчленить полилинии из набора  (Прочитано 1053 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AnatolyАвтор темы

  • ADN OPEN
  • **
  • Сообщений: 60
  • Карма: 3
  • Skype: ant_nkh
Есть набор 2D полилиний
Код - Auto/Visual Lisp [Выбрать]
  1. (setq sset (ssget "_X" (list (cons 0 "POLYLINE") (cons 8 laynam))))
Надо их все расчленить
Подскажите как.

Отмечено как Решение Anatoly 29-03-2021, 17:22:56

Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 13193
  • Карма: 1701
  • Рыцарь ObjectARX
  • Skype: rivilis
Re: Расчленить полилинии из набора
« Ответ #1 : 29-03-2021, 16:42:51 »
Вариант 1:
Код - Auto/Visual Lisp [Выбрать]
  1. (setq sset (ssget "_X" (list (cons 0 "POLYLINE") (cons 8 laynam))))
  2. (initcommandversion 2)
  3. (command "_explode" sset "")
Вариант 2:
Код - Auto/Visual Lisp [Выбрать]
  1. (setq a (getvar "qaflags"))
  2. (setvar "qaflags" 1)
  3. (setq sset (ssget "_X" (list (cons 0 "POLYLINE") (cons 8 laynam))))
  4. (command "_explode" sset "")
  5. (setvar "qaflags" a)
Можно придумать еще кучу разных вариантов.
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн AnatolyАвтор темы

  • ADN OPEN
  • **
  • Сообщений: 60
  • Карма: 3
  • Skype: ant_nkh
Re: Расчленить полилинии из набора
« Ответ #2 : 29-03-2021, 17:22:50 »
Спасибо.
Оба варианта работают.